import 'package:twilio_chat_plugin/twilio_chat_plugin.dart';

class TwilioHelper {
  static final TwilioHelper _singleton = TwilioHelper._internal();
  static ChatClient _chatClient;
  static Channel _channel;

  static ChatClient get chatClient => _chatClient;
  static Channel get channel => _channel;

  TwilioHelper._internal();

  factory TwilioHelper(ChatClient chatClient) {
    _chatClient = chatClient;
    return _singleton;
  }

  static set chatClient(ChatClient value) {
    _chatClient = value;
  }

  static set channel(Channel value) {
    _channel = value;
  }
}
