part of twilio_chat_plugin;

class Members {
  List<Member> _membersList;

  List<Member> get membersList => _membersList;

  Members.fromJson(Map<String, dynamic> json) {
    if (json['membersList'] != null) {
      _membersList = new List<Member>();
      json['membersList'].forEach((v) {
        membersList.add(new Member.fromJson(Map<String, dynamic>.from(v)));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.membersList != null) {
      data['membersList'] = this.membersList.map((v) => v.toJson()).toList();
    }
    return data;
  }
}
