part of twilio_chat_plugin;

class User {
  String _identity;

  String _friendlyName;

  bool _isOnline;

  bool _isNotifiable;

  bool _isSubscribed;

  String get friendlyName => _friendlyName;

  String get identity => _identity;

  bool get isOnline => _isOnline;

  bool get isNotifiable => _isNotifiable;

  bool get isSubscribed => _isSubscribed;

  User.fromJson(Map<String, dynamic> json) {
    _identity = json['identity'];
    _friendlyName = json['friendlyName'];
    _isOnline = json['isOnline'];
    _isNotifiable = json['isNotifiable'];
    _isSubscribed = json['isSubscribed'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['identity'] = this.identity;
    data['friendlyName'] = this.friendlyName;
    data['isOnline'] = this.isOnline;
    data['isNotifiable'] = this.isNotifiable;
    data['isSubscribed'] = this.isSubscribed;
    return data;
  }
}
