part of twilio_chat_plugin;

class Channels {
  List<Channel> _subscribedChannels;

  List<Channel> get subscribedChannels => _subscribedChannels;

  Channels.fromJson(Map<String, dynamic> json) {
    if (json['subscribedChannels'] != null) {
      _subscribedChannels = new List<Channel>();
      json['subscribedChannels'].forEach((v) {
        _subscribedChannels
            .add(new Channel.fromJson(Map<String, dynamic>.from(v)));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.subscribedChannels != null) {
      data['subscribedChannels'] =
          this.subscribedChannels.map((v) => v.toJson()).toList();
    }
    return data;
  }
}
