part of twilio_chat_plugin;

class ErrorInfo {
  String _code;

  String _message;

  String _status;

  String get code => _code;

  String get message => _message;

  String get status => _status;

  ErrorInfo.fromJson(Map<String, dynamic> json) {
    _code = json['code'];
    _message = json['message'];
    _status = json["status"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this._code;
    data['message'] = this._message;
    data['status'] = this._status;
    return data;
  }
}
