part of twilio_chat_plugin;

class Users {
  User _myUser;

  List<User> _subscribedUsers;

  User get myUser => _myUser;

  List<User> get subscribedUsers => _subscribedUsers;

  Users.fromJson(Map<String, dynamic> json) {
    _myUser = json['myUser'] != null
        ? new User.fromJson(Map<String, dynamic>.from(json['myUser']))
        : null;
    if (json['subscribedUsers'] != null) {
      _subscribedUsers = new List<User>();
      json['subscribedUsers'].forEach((v) {
        subscribedUsers.add(new User.fromJson(Map<String, dynamic>.from(v)));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.myUser != null) {
      data['myUser'] = this.myUser.toJson();
    }
    if (this.subscribedUsers != null) {
      data['subscribedUsers'] =
          this.subscribedUsers.map((v) => v.toJson()).toList();
    }
    return data;
  }
}
